Name: H5Pget_family_offset
Signature:
  herr_t `H5Pget_family_offset` ( hid_t `fapl_id`, hsize_t *`offset` )
Purpose:
  Retrieves a data offset from the file access property list.
Description:
  `H5Pget_family_offset` retrieves the value of `offset` from the file access property list `fapl_id` so that the user application can retrieve a file handle for low-level access to a particular member of a family of files. The file handle is retrieved with a separate call to `H5Fget_vfd_handle` (or, in special circumstances, to `H5FDget_vfd_handle`; see Virtual File Layer and List of VFL Functions in HDF5 Technical Notes).

  The data offset returned in `offset` is the offset of the data in the HDF5 file that is stored on disk in the selected member file in a family of files.

  Use of this function is only appropriate for an HDF5 file written as a family of files with the `FAMILY` file driver.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t *`offset` | OUT: Offset in bytes within the HDF5 file.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.